openapi: 3.0.0
info:
  description: ""
  title: CRM API
  version: "1.0"
servers:
- url: https://crm.slace.com/v1
security:
- Authorization: []
tags:
- name: CRM
paths:
  /integrations/custom/organizations/{orgId}/channels{channelId}/handlers:
    get:
      operationId: listCustomHandlers
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomHandler'
                type: array
          description: OK
      summary: List custom handlers
      tags:
      - custom
      x-internal: true
    post:
      operationId: registerCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomHandler'
      responses:
        "201":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: Created
      summary: Register custom handler
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/handlers:
    get:
      operationId: listOrganizationCustomHandlers
      parameters:
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomHandler'
                type: array
          description: OK
      summary: List organization custom handlers
      tags:
      - custom
      x-internal: false
    post:
      operationId: registerOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomHandler'
      responses:
        "201":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: Created
      summary: Register organization custom handler
      tags:
      - custom
  /integrations/custom/organizations/{orgId}/channels{channelId}/handlers/{id}:
    delete:
      description: ""
      operationId: deleteCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete custom handler
      tags:
      - custom
      x-internal: true
    get:
      description: ""
      operationId: getCustomHandler
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: OK
      summary: Get custom handler
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/handlers/{id}:
    delete:
      description: ""
      operationId: deleteOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete organization custom handler
      tags:
      - custom
    get:
      description: ""
      operationId: getOrganizationCustomHandler
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomHandler'
          description: OK
      summary: Get organization custom handler
      tags:
      - custom
  /integrations/custom/organizations/{orgId}/channels{channelId}/webhooks/{type}:
    post:
      description: Webhook endpoint for external systems
      operationId: webhook
      parameters:
      - explode: false
        in: path
        name: channelId
        required: true
        schema:
          type: string
        style: simple
      - explode: false
        in: path
        name: type
        required: true
        schema:
          enum:
          - sync_contact
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        "200":
          description: OK
      summary: Webhook
      tags:
      - custom
      x-internal: true
  /integrations/custom/organizations/{orgId}/webhooks/{type}:
    post:
      description: Webhook endpoint for external systems
      operationId: organizationWebhook
      parameters:
      - explode: false
        in: path
        name: type
        required: true
        schema:
          enum:
          - sync_contact
          type: string
        style: simple
      - explode: false
        in: path
        name: orgId
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        "200":
          description: OK
      summary: Webhook (organization)
      tags:
      - custom
      x-internal: true
  /integrations/dn/sync:
    post:
      operationId: syncDNContact
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncContactRequest'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncContactResponse'
          description: OK
      summary: Sync DN contact
      tags:
      - dn
      x-internal: true
  /integrations/dn/organizations/{oid}/configurations:
    delete:
      operationId: deleteDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      summary: Delete DN configuration
      tags:
      - dn
    get:
      description: ""
      operationId: getDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DNConfiguration'
          description: OK
      summary: Get DN configuration
      tags:
      - dn
    post:
      description: ""
      operationId: createDNConfiguration
      parameters:
      - description: Organization ID
        explode: false
        in: path
        name: oid
        required: true
        schema:
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDNConfigRequest'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DNConfiguration'
          description: OK
      summary: Create DN configuration
      tags:
      - dn
      x-internal: false
  /settings/organizations/{organizationId}/available-actions:
    get:
      operationId: getAvailableActions
      parameters:
      - explode: false
        in: path
        name: organizationId
        required: true
        schema:
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableActionsResponse'
          description: OK
      summary: Get available actions for organization
      tags:
      - settings
      x-internal: true
  /integrations/giganetz/address-investments:
    post:
      operationId: dynamic-addresses-list
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dynamic_addresses_list_request'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dynamic_addresses_list_200_response'
          description: OK
      security:
      - Authorization: []
      summary: Giganetz address investments
      tags:
      - giganetz
      x-stoplight:
        id: q3viluova3dla
  /integrations/giganetz/address-investment:
    get:
      operationId: address by id
      parameters:
      - explode: true
        in: query
        name: id
        required: true
        schema:
          type: string
        style: form
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/address_by_id_200_response'
          description: OK
      summary: Get giganetz address by id
      tags:
      - giganetz
      x-stoplight:
        id: g2cgcw5p6e4ni
    post:
      operationId: Get address by form data
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_address_by_form_data_200_response'
          description: OK
      summary: Get giganetz address by form data
      tags:
      - giganetz
      x-stoplight:
        id: buawje06m1kq9
  /integrations/giganetz/add-signature:
    post:
      description: use the `id` field in the form to determine which address it is.
      operationId: post-integrations-giganetz-add-signature
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/post_integrations_giganetz_add_signature_200_response'
          description: OK
      summary: Add signature to address
      tags:
      - giganetz
      x-stoplight:
        id: gsysn9l7zikrq
components:
  schemas:
    CustomHandler:
      example:
        updated_at: 2000-01-23T04:56:07.000+00:00
        organization_id: organization_id
        secret_header: secret_header
        created_at: 2000-01-23T04:56:07.000+00:00
        attributes: "{}"
        id: id
        secret: secret
        secret_configured: true
        type: sync_contact
        channel_id: channel_id
        url: url
      properties:
        id:
          type: string
        channel_id:
          type: string
        type:
          enum:
          - sync_contact
          type: string
        url:
          type: string
        secret:
          type: string
          writeOnly: true
        secret_header:
          type: string
          writeOnly: true
        secret_configured:
          type: boolean
        attributes:
          type: object
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        organization_id:
          type: string
      required:
      - channel_id
      - created_at
      - id
      - organization_id
      - secret_configured
      - type
      - updated_at
      - url
      title: CustomHandler
      type: object
      x-tags:
      - custom
    WebhookRequest:
      $ref: '#/components/schemas/SyncContactWebhook'
    SyncContactWebhook:
      example:
        transaction_id: transaction_id
        conversation_id: conversation_id
        external_id: external_id
        attributes: "{}"
        contact_id: contact_id
        channel_id: channel_id
      properties:
        transaction_id:
          type: string
        conversation_id:
          type: string
        contact_id:
          type: string
        external_id:
          type: string
        channel_id:
          type: string
        attributes:
          type: object
      required:
      - channel_id
      - contact_id
      - conversation_id
      - external_id
      - transaction_id
      title: SyncContactWebhook
      type: object
      x-stoplight:
        id: 9f4e4f5b5a15e
      x-tags:
      - custom
    SyncContactRequest:
      example:
        organization_id: organization_id
        contact_id: contact_id
        strategy: override_external
      properties:
        contact_id:
          type: string
        organization_id:
          type: string
        strategy:
          enum:
          - override_external
          - override_local
          - override_empty
          type: string
      required:
      - contact_id
      - organization_id
      - strategy
      title: Sync DN contact request
      type: object
      x-stoplight:
        id: xnkvg3khancc1
      x-tags:
      - dn
      x-internal: true
    SyncContactResponse:
      example:
        external_id: external_id
      properties:
        external_id:
          type: string
      required:
      - external_id
      title: Sync DN contact response
      type: object
      x-stoplight:
        id: y4degfsxp4hzt
      x-tags:
      - dn
      x-internal: true
    AvailableActionsResponse:
      example:
        custom:
        - sync_contact
        - sync_contact
        dn:
        - sync_contact
        - sync_contact
      properties:
        dn:
          items:
            enum:
            - sync_contact
            type: string
          type: array
        custom:
          items:
            enum:
            - sync_contact
            type: string
          type: array
      required:
      - custom
      - dn
      title: AvailableActionsResponse
      type: object
      x-tags:
      - settings
      x-internal: true
    CreateDNConfigRequest:
      example:
        api_url: api_url
        client_secret: client_secret
        client_id: client_id
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        api_url:
          type: string
      required:
      - api_url
      - client_id
      - client_secret
      title: CreateDNConfigRequest
      type: object
      x-tags:
      - dn
    DNConfiguration:
      example:
        updated_at: 2000-01-23T04:56:07.000+00:00
        api_url: api_url
        organization_id: organization_id
        created_at: 2000-01-23T04:56:07.000+00:00
        id: id
        client_id: client_id
      properties:
        id:
          type: string
        organization_id:
          type: string
        client_id:
          type: string
        api_url:
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
      - api_url
      - client_id
      - created_at
      - id
      - organization_id
      - updated_at
      title: DNConfiguration
      type: object
      x-tags:
      - dn
    dynamic_addresses_list_request:
      properties:
        plz:
          format: int64
          type: integer
          x-stoplight:
            id: a5antw4k9o26y
        district:
          type: string
          x-stoplight:
            id: potbnsti4ujff
        city:
          type: string
          x-stoplight:
            id: yi4490kbrr6k8
        street:
          type: string
          x-stoplight:
            id: l988cwwrhmweu
        house_number:
          format: int64
          type: integer
          x-stoplight:
            id: mz3sa16ovepql
        house_number_variant:
          type: string
          x-stoplight:
            id: n5lvgjcoim5x1
        lat:
          type: string
          x-stoplight:
            id: b9olpmrzxstol
        lng:
          type: string
          x-stoplight:
            id: 6ekok7jg4oxuj
      type: object
    dynamic_addresses_list_200_response_results_inner:
      example:
        phase: 0
        lng: lng
        city: city
        street: street
        district: district
        house_number: 1
        id: id
        lat: lat
        plz: 6
        house_number_variant: house_number_variant
      properties:
        id:
          type: string
          x-stoplight:
            id: 9dmlhizrwp33t
        phase:
          type: integer
          x-stoplight:
            id: ni6zvms0d1vm4
        plz:
          type: integer
          x-stoplight:
            id: qsvhd13rtzdy9
        district:
          type: string
          x-stoplight:
            id: wt27dz279m4hu
        city:
          type: string
          x-stoplight:
            id: o24afvus457p5
        street:
          type: string
          x-stoplight:
            id: buhoro6wr9551
        house_number:
          type: integer
          x-stoplight:
            id: ou0sisdwml4ze
        house_number_variant:
          type: string
          x-stoplight:
            id: rp52fgtzqjhhg
        lat:
          type: string
          x-stoplight:
            id: x0bgu47zrazct
        lng:
          type: string
          x-stoplight:
            id: d3lnymizllskc
      type: object
      x-stoplight:
        id: m2cc8tferyoy6
    dynamic_addresses_list_200_response:
      example:
        results:
        - phase: 0
          lng: lng
          city: city
          street: street
          district: district
          house_number: 1
          id: id
          lat: lat
          plz: 6
          house_number_variant: house_number_variant
        - phase: 0
          lng: lng
          city: city
          street: street
          district: district
          house_number: 1
          id: id
          lat: lat
          plz: 6
          house_number_variant: house_number_variant
      properties:
        results:
          items:
            $ref: '#/components/schemas/dynamic_addresses_list_200_response_results_inner'
          type: array
          x-stoplight:
            id: 8lm3swwpk33e9
      type: object
    address_by_id_200_response:
      example:
        phase: 0
        lng: lng
        city: city
        street: street
        district: district
        house_number: 1
        id: id
        lat: lat
        signatures: 5
        plz: 6
        house_number_variant: house_number_variant
      properties:
        id:
          type: string
          x-stoplight:
            id: 44xjcooqo1nl8
        phase:
          format: int64
          type: integer
          x-stoplight:
            id: 4o2ysrdz22z2q
        plz:
          format: int64
          type: integer
          x-stoplight:
            id: 9h2yly9gr83si
        district:
          type: string
          x-stoplight:
            id: yb7175p5qz939
        city:
          type: string
          x-stoplight:
            id: bmheac18kf82w
        street:
          type: string
          x-stoplight:
            id: 9sozlh4m5lxae
        house_number:
          format: int64
          type: integer
          x-stoplight:
            id: jed50n9wfdowx
        house_number_variant:
          type: string
          x-stoplight:
            id: 4wmyvhy47knlh
        lat:
          type: string
          x-stoplight:
            id: inu8u4jjpwg7e
        lng:
          type: string
          x-stoplight:
            id: 8io2t4w67j3zl
        signatures:
          type: integer
          x-stoplight:
            id: mfkpl1g41gk1l
      type: object
    Get_address_by_form_data_200_response:
      example:
        phase: 0
        available: true
      properties:
        available:
          type: boolean
          x-stoplight:
            id: 3l7ao1oafyehz
        phase:
          format: int64
          type: integer
          x-stoplight:
            id: g5aa16fgnytf8
      type: object
    post_integrations_giganetz_add_signature_200_response:
      example:
        missing_signatures: 0
      properties:
        missing_signatures:
          type: integer
          x-stoplight:
            id: m9eq1ewe8ukxg
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http
x-stoplight:
  id: i7ze7vjs6jchz
x-internal: false
